Skip to main content
POST
/
v1
/
pipeline
/
contact-sheet
{
  "input": "https://example.com/video.mp4",
  "columns": 4,
  "rows": 4,
  "width": 1920
}
curl -X POST https://api.ringbee.dev/v1/pipeline/contact-sheet \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "columns=4" \
  -F "rows=4" \
  -F "width=1920"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "columns": 4,
  "rows": 4,
  "width": 1920
}
curl -X POST https://api.ringbee.dev/v1/pipeline/contact-sheet \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "columns=4" \
  -F "rows=4" \
  -F "width=1920"
ParamTypeDescription
columnsintegerNumber of columns in the grid
rowsintegerNumber of rows in the grid
widthintegerTotal output width in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

columns
integer

Number of columns in the grid

rows
integer

Number of rows in the grid

width
integer

Total output width in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"